| Field | Value |
|---|---|
| Method | POST |
| Endpoint | For Dialog Builder: https://{{host}}/api/public/bot/{{BotID}}/getBillingSessionsDetails; For Admin Console: https://{{host}}/api/public/bots/getBillingSessionsDetails |
| Content Type | application/json |
| Authorization | auth: {{JWT}} See How to generate the JWT Token. |
| API Scope | Dialog Builder: App Settings > Dev Tools > API Scopes > Automation Billing Sessions Admin Console: Security > API Scopes > BotAnalytics > Billing Sessions |
Path Parameters
| Parameter | Description |
|---|---|
host | Environment URL, for example, https://platform.kore.ai |
BotID (when using with Dialog Builder scope) | Bot ID or Stream ID. You can access it from the App Settings page. |
Sample Request
For Dialog Builder API scope:Body Parameters
| Parameter | Description |
|---|---|
fromDate | Takes the date format yyyy-mm-dd or yyyy-mm-ddThh:mm:ss.msZ. Example: 2019-04-01 or 2019-04-01T13:25:58.515Z |
toDate | Takes the date format yyyy-mm-dd or yyyy-mm-ddThh:mm:ss.msZ. A maximum of three months date period is allowed. |
limit (optional) | Number of records to be shown in the response. |
skip (optional) | Number of records to be skipped. |
channel (optional) | The channel code. |
botId (optional when using Admin scope) | Bot ID or Stream ID. You can access it from the App Settings page of the app. |